@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&family=Roboto:wght@400;500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

:root {
    --primary-green: #03200b;
    --secondary-green: #4fdf2b;
    --light-gray: #f4f4f4;
    --dark-gray: #1f1f1f;
    --white: #ffffff;

    --font-primary: 'Montserrat', sans-serif;
    --font-secondary: 'Outfit', 'Roboto', sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: var(--font-secondary);
    font-size: 1.1rem;
    color: var(--dark-gray);
    line-height: 1.4;
}

h1,
h2,
h3,
h4 {
    font-family: var(--font-primary);
    font-weight: 600;
}

a {
    text-decoration: none;
    color: inherit;
}

.nav-menu {
    list-style: none;
}

section {
    padding: 6rem 2rem;
    scroll-margin-top: 80px;
}

.container {
    max-width: 1200px;
}

[class$="-section"] {
    min-height: 100vh;
}

[class$="-button"] {
    width: 250px;
    height: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: transparent;
    color: var(--white);
    border: 3px solid #fff;
    font-family: var(--font-secondary);
    font-size: 0.9rem;
    font-weight: 700;
    text-transform: uppercase;
    transition: 0.2s ease;
}

[class$="-button"]:hover {
    cursor: pointer;
    scale: 1.05;
}